Bump maven-changes-plugin from 2.3 to 2.12.1

Bumps maven-changes-plugin from 2.3 to 2.12.1.

Signed-off-by: dependabot[bot] <support@github.com>
1 file changed